"use strict";
const common_vendor = require("../../common/vendor.js");
require("../../store/index.js");
require("../../api/index.js");
require("../../api/request.js");
require("../../config/index.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  _easycom_uni_icons2();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
if (!Math) {
  _easycom_uni_icons();
}
const _sfc_main = {
  __name: "setting",
  setup(__props) {
    common_vendor.onLoad(() => {
      userinfo.value = JSON.parse(common_vendor.index.getStorageSync("userInfo"));
      avatar.value = common_vendor.index.getStorageSync("avatarUrl");
    });
    const userinfo = common_vendor.ref(null);
    const avatar = common_vendor.ref(null);
    function toDetail(type) {
    }
    return (_ctx, _cache) => {
      return {
        a: common_vendor.p({
          type: "forward",
          color: "gray",
          size: "20"
        }),
        b: common_vendor.o(($event) => toDetail()),
        c: common_vendor.p({
          type: "forward",
          color: "gray",
          size: "20"
        }),
        d: common_vendor.o(($event) => toDetail()),
        e: common_vendor.p({
          type: "forward",
          color: "gray",
          size: "20"
        }),
        f: common_vendor.o(($event) => toDetail()),
        g: common_vendor.p({
          type: "forward",
          color: "gray",
          size: "20"
        }),
        h: common_vendor.o(($event) => toDetail()),
        i: common_vendor.p({
          type: "forward",
          color: "gray",
          size: "20"
        }),
        j: common_vendor.o(($event) => toDetail())
      };
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-806b15dc"], ["__file", "F:/项目2023/视力表/vision-record/pages/user/setting.vue"]]);
wx.createPage(MiniProgramPage);
